# Pràctica 4: Promitjos en funció de T. Dependència amb L. Extrapolació a L tendint a inf.
**Data: 12 de maig de 2022**

## Instruccions per compilar
Per compilar, executeu `make all`. L'executable de la simulació es trobarà a la carpeta `out`, tot i que no s'hauria de cridar aquest executable directament.

## Programes
*** note
**Atenció!** Per poder executar aquests programes, s'ha d'haver compilat abans l'executable del codi Fortran com s'especifica a la secció anterior.
***

Per tal d'executar la simulació, existeixen diversos scripts de bash que es poden cridar:
- `run.bash`: executa la simulació per un valor de T i L concrets, amb un munt de valors addicionals configurables (nombre de llavors, nombre d'iteracions, etc.). Per més informació, executeu `./run.bash --help`.
- `runAll.bash`: executa les simulacions per diferents valors de T i L, i guarda les dades finals a la carpeta `data_out/dep_en_L`.

També existeixen diversos scipts per tal de generar algunes gràfiques (altes gràfiques es generen directament amb scripts que hi ha a la [carpeta de l'informe](../informe/)):
- `drawDepEnLGraphs.bash`: dibuixa les gràfiques de la dependència de certes variables amb la temperatura per diferents Ls.
   - Precondició: haver executat `runAll.bash` abans, tot i que sigui parcialment.
- `drawFinalConfsGraph.bash`: dibuixa un diagrama amb les configuracions finals per diferents valors de T.
   - No té cap precondició.
- `drawDepEnSeedGraph.bash`: dibuixa un gràfic que mostra la dependència de l'energia i la magnetització amb l'elecció de la seed inicial.
   - No té cap precondició.
